Bug 1290676 - Allow user to specify the version of images when running containerized install
Allow user to specify the version of images when running containerized install
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Scott Dodson
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 00:59 EST by Ma xiaoqiang
Modified: 2016-07-03 20:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 15:58:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-12-11 00:59:29 EST
Description of problem:
Ansible use latest images to start the openshift service now. It should support to install openshift with specified version.

Version-Release number of selected component (if applicable):
https://github.com/sdodson/openshift-ansible containers

How reproducible:
Always


Steps to Reproduce:

1. Install container env with specified version. e.g: v3.1.0.2


Actual results:
Not support now

Expected results:
Allow user to specify the version of images when installing container env

Additional info:
Comment 1 Scott Dodson 2015-12-15 15:29:17 EST
It's not great, but right now in order to provide the greatest flexibility possible users can specify the fully qualified name of the images they wish to deploy. This includes the version which will allow you to do things you probably don't want to do like have different versions of each image. I decided this was the best approach rather than splitting each of the current 4 images into two different values.

Set the following variables respectively

osm_image -- master image default of 'openshift3/ose'
osn_image -- node image default of 'openshift3/node'
ovs_image -- openvswitch image default of 'openshift3/openvswitch'
osm_etcd_image -- etcd image default of 'registry.access.redhat.com/rhel7/etcd'

Note You need to log in before you can comment on or make changes to this bug.